Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
radm::KeySetManager Interface Reference

## Classes
struct | KeySet
| Structure representing a key set (a named group of keyboard key codes) More...
struct | KeySetsChangedEvent
| Event: List of configured key sets has changed. More...

## Public Member Functions
vector< KeySet > | getAllKeySets ()
| Get all configured key sets.
int | getKeySetById (in int id, out KeySet keyset)
| Get a particular configured key set.
int | addKeySet (in KeySet keyset)
| Add a new key set.
int | updateKeySet (in KeySet keyset)
| Change a given key set.
int | deleteKeySet (in int id)
| Delete a key set.

## Public Attributes
constant int | ERR_INVALID_ARGUMENT = 1
constant int | ERR_NAME_ALREADY_USED = 2

## Detailed Description

Definition at line 8 of file KeySetManager.idl.

## Member Function Documentation

## ◆ addKeySet()

int radm::KeySetManager::addKeySet | ( | in KeySet | keyset | ) |

Add a new key set.

Parameters

  keyset | Key set to be added

Returns
  0 on success
  1 if any key set parameter is invalid
  2 if the provided key set name already is used by another key set

## ◆ deleteKeySet()

int radm::KeySetManager::deleteKeySet | ( | in int | id | ) |

Delete a key set.

Parameters

  id | ID of the key set to be deleted

Returns
  0 on success
  1 if no key set with the given ID was found

## ◆ getAllKeySets()

vector< KeySet > radm::KeySetManager::getAllKeySets | ( |  | ) |

Get all configured key sets.

Returns
  List of configured key sets

## ◆ getKeySetById()

int radm::KeySetManager::getKeySetById | ( | in int | id,
|  | out KeySet | keyset )

Get a particular configured key set.

Parameters

  id | ID of the desired key set
  keyset | Returned key set

Returns
  0 on success
  1 if the ID could not be found

## ◆ updateKeySet()

int radm::KeySetManager::updateKeySet | ( | in KeySet | keyset | ) |

Change a given key set.

Parameters

  keyset | Key set to be updated (matched against existing key set by ID)

Returns
  0 on success
  1 if no key set with the given ID was found, or if any other key set paraneter is invalid
  2 if the provided key set name already is used by another key set

## Member Data Documentation

## ◆ ERR_INVALID_ARGUMENT

constant int radm::KeySetManager::ERR_INVALID_ARGUMENT = 1

Definition at line 9 of file KeySetManager.idl.

## ◆ ERR_NAME_ALREADY_USED

constant int radm::KeySetManager::ERR_NAME_ALREADY_USED = 2

Definition at line 10 of file KeySetManager.idl.

The documentation for this interface was generated from the following file:

- KeySetManager.idl